GStreamer(1)

NAME
gst-register - register GStreamer plugins

SYNOPSIS
gst-register [OPTION...]

DESCRIPTION

gst-register is a tool that is used to register all the GStreamer plugins on your system. It creates a listing of their properties such that on startup of GStreamer based application do not need to load plugins until they need them.

OPTIONS
gst-register accepts the following options:

--help
    Print help synopsis and available FLAGS

GSTREAMER OPTIONS

--gst-info-mask=FLAGS
    GStreamer info flags to set (list with --help)

--gst-debug-mask=FLAGS
    GStreamer debugging flags to set (list with --help)

--gst-mask=FLAGS
    GStreamer info and debugging flags to set (list with --help)

--gst-plugin-spew
    GStreamer info flags to set Enable printout of errors while loading GStreamer plugins

--gst-plugin-path=PATH
    Add directories separated with ':' to the plugin search path

--gst-scheduler=SCHEDULER
    Use SCHEDULER as the default scheduler

--gst-registry=REGISTRY
    Use the file REGISTRY as registry instead of the default

FILES

@prefix@/var/cache/gstreamer/registry.xml
    the xml plugin database

SEE ALSO
gst-inspect(1), gst-launch(1), gst-compprep(1)

AUTHOR
The GStreamer team at http://gstreamer.net/